package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairUser;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.*;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-11
 */
public interface RepairUserService extends IService<RepairUser> {
    int insertRepairUser(RepairUser ru);

    int updateRepairUser(RepairUser ru);

    PageUtils<RepairUserVo> queryPageRepairUser(int currentPage, int pageCount, String keyWork, Integer teamId, Integer schoolId);

    PageUtils<RepairUser> queryPageRepairUser(int currentPage, int pageCount);

    PageUtils<RepairUser> queryPageUserBySchoolId(int currentPage, int pageCount, int schoolId);

    List<RepairUser> queryRepairUsers();

    List<RepairUser> queryRepairUserByArticle();

    int deleteRepairUserById(int id);

    RepairUser getRepairById(int id);

    RepairUser getRepairByCardNumber(String CardNumber);

    List<RepairUser> getRepairs(List<Integer> ids);

    List<RepairUser> getRepairByUserZZ(List<Integer> userZZId, Integer schoolId);

    List<RepairLogisticsVo> queryLogisticsList(Integer recordId);

    UserDataVo queryUserData(Integer userId, String dateNow);

    PageUtils<CollaboratorVo> queryCollaborator(int currentPage, int pageCount, Integer userId, Integer schoolId, String keyWord);

    List<AddressBookVo> queryAddressBook(Integer userId, Integer schoolId, String keyWord);

    PageUtils<AddressBookVo> queryUserPageBySchoolId(int currentPage, int pageCount, Integer schoolId, Integer userId);

    List<AutoDispatchUserVo> autoDispatchUser(Integer schoolId, String dateNow, Integer articleId, Integer buildId);

    PageUtils<AutoDispatchUserVo> autoDispatchUser(int currentPage, int pageCount, Integer schoolId, String dateNow, Integer articleId, Integer buildId, String keyWord);

    PageUtils<AutoOfflineUserVo> autoOfflineRepairUser(int currentPage, int pageCount, Integer schoolId, String keyWord);

    PageUtils<RepairWorkTypeVo> queryCollaboratorUser(int currentPage, int pageCount, Integer schoolId, Integer userId, String dateNow,String keyWord);

    PageUtils<PositiveReviewVo> queryPositiveReviewPage(int currentPage, int pageCount, Integer schoolId);

    List<AutoDispatchUserVo> dropDown(Integer buildId, Integer articleId, Integer schoolId, Integer userId);

    RepairUser queryUserByOpenid(String openId);

    List<ArticleBuildVo> queryArticleBuilds(List<Integer> userIds);

    PageUtils<RepairUser> queryUserPage(int currentPage, int pageCount, Integer schoolId, String keyWord);
}

